Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Build: I20080924 DLTK Exception
Build: I20080924 DLTK Exception [message #80869] Fri, 26 September 2008 21:47 Go to next message
Carbivnicii Vitali is currently offline Carbivnicii VitaliFriend
Messages: 3
Registered: July 2009
Junior Member
Hello.
I installed all dependencies using update manager, and PDT using
integration build as local site according this guide http://wiki.freaks-
unidos.net/php-ide-with-eclipse. Installation went fine. I added a php
project and got this exception when tried to open a php file:

An error has occurred. See error log for more details.
org.eclipse.dltk.internal.ui.editor.EditorUtility.getEditorI nputModelElement
(Lorg/eclipse/ui/IEditorPart;Z)Lorg/eclipse/dltk/core/ISourc eModule;

Is there any way to fix this?
Re: Build: I20080924 DLTK Exception [message #80886 is a reply to message #80869] Mon, 29 September 2008 05:49 Go to previous messageGo to next message
Paul is currently offline PaulFriend
Messages: 3
Registered: July 2009
Junior Member
Hello.

I have the same problem, but with all builds of PDT2
Re: Build: I20080924 DLTK Exception [message #80894 is a reply to message #80869] Mon, 29 September 2008 09:08 Go to previous messageGo to next message
Carbivnicii Vitali is currently offline Carbivnicii VitaliFriend
Messages: 3
Registered: July 2009
Junior Member
On Fri, 26 Sep 2008 21:47:55 +0000, realcnbs wrote:

> Hello.
> I installed all dependencies using update manager, and PDT using
> integration build as local site according this guide http://wiki.freaks-
> unidos.net/php-ide-with-eclipse. Installation went fine. I added a php
> project and got this exception when tried to open a php file:
>
> An error has occurred. See error log for more details.
>
org.eclipse.dltk.internal.ui.editor.EditorUtility.getEditorI nputModelElement
> (Lorg/eclipse/ui/IEditorPart;Z)Lorg/eclipse/dltk/core/ISourc eModule;
>
> Is there any way to fix this?

Maybe somebody can put latest all-in-one integration build package to be
available for download? Because many dependencies from this page http://
download.eclipse.org/tools/pdt/downloads/release.php?release =I20080924
are not available to download.
Please help, i'm trying to use PDT2.0 since first integration build and
never had luck with it, and dec 29th is too long to wait for :)
Re: Build: I20080924 DLTK Exception [message #80900 is a reply to message #80894] Mon, 29 September 2008 09:15 Go to previous messageGo to next message
Paul is currently offline PaulFriend
Messages: 3
Registered: July 2009
Junior Member
If somebody put latest all-in-one integration build package to be
available for download?

It whould be wonderful!!!
Re: Build: I20080924 DLTK Exception [message #80910 is a reply to message #80869] Mon, 29 September 2008 12:45 Go to previous messageGo to next message
elkuku is currently offline elkukuFriend
Messages: 22
Registered: July 2009
Junior Member
realcnbs schrieb:
> Hello.
> I installed all dependencies using update manager, and PDT using
> integration build as local site according this guide http://wiki.freaks-
> unidos.net/php-ide-with-eclipse. Installation went fine. I added a php
> project and got this exception when tried to open a php file:
>
> An error has occurred. See error log for more details.
> org.eclipse.dltk.internal.ui.editor.EditorUtility.getEditorI nputModelElement
> (Lorg/eclipse/ui/IEditorPart;Z)Lorg/eclipse/dltk/core/ISourc eModule;
>
> Is there any way to fix this?
ahmmm... same error over here... Still not shure what is the right dltk
version.. is it 1.0 like stated in the wiki or is it the downgraded 0.95 ???

Waiting for the all-in-one ;)
Re: Build: I20080924 DLTK Exception [message #80922 is a reply to message #80869] Tue, 30 September 2008 01:58 Go to previous messageGo to next message
David Muir is currently offline David MuirFriend
Messages: 63
Registered: July 2009
Member
Read the install instructions:
http://wiki.eclipse.org/PDT/Installation#Eclipse_3.4_.2F_Gan ymede_.2F_PDT_2.0


realcnbs wrote:

> Hello.
> I installed all dependencies using update manager, and PDT using
> integration build as local site according this guide http://wiki.freaks-
> unidos.net/php-ide-with-eclipse. Installation went fine. I added a php
> project and got this exception when tried to open a php file:

> An error has occurred. See error log for more details.
> org.eclipse.dltk.internal.ui.editor.EditorUtility.getEditorI nputModelElement
> (Lorg/eclipse/ui/IEditorPart;Z)Lorg/eclipse/dltk/core/ISourc eModule;

> Is there any way to fix this?
Re: Build: I20080924 DLTK Exception [message #80939 is a reply to message #80869] Tue, 30 September 2008 04:09 Go to previous messageGo to next message
Paul is currently offline PaulFriend
Messages: 3
Registered: July 2009
Junior Member
Ea!
It's OK! I've just set it up. Right dltk version is 1.0, not 0.95
Re: Build: I20080924 DLTK Exception [message #81165 is a reply to message #80910] Sat, 04 October 2008 08:22 Go to previous message
Carbivnicii Vitali is currently offline Carbivnicii VitaliFriend
Messages: 3
Registered: July 2009
Junior Member
On Mon, 29 Sep 2008 14:45:10 +0200, Nikolai Plath wrote:

> realcnbs schrieb:
>> Hello.
>> I installed all dependencies using update manager, and PDT using
>> integration build as local site according this guide
>> http://wiki.freaks- unidos.net/php-ide-with-eclipse. Installation went
>> fine. I added a php project and got this exception when tried to open a
>> php file:
>>
>> An error has occurred. See error log for more details.
>>
org.eclipse.dltk.internal.ui.editor.EditorUtility.getEditorI nputModelElement
>> (Lorg/eclipse/ui/IEditorPart;Z)Lorg/eclipse/dltk/core/ISourc eModule;
>>
>> Is there any way to fix this?
> ahmmm... same error over here... Still not shure what is the right dltk
> version.. is it 1.0 like stated in the wiki or is it the downgraded 0.95
> ???
>
> Waiting for the all-in-one ;)

Hi, i used this howto http://wiki.eclipse.org/PDT/
Installation#Eclipse_3.4_.2F_Ganymede_.2F_PDT_2.0
and it worked, though it is still buggy, but it has very useful features
comparing to 1.0.3
Previous Topic:PDT 2.0.0-HEAD still slow
Next Topic:Problem with code assist
Goto Forum:
  


Current Time: Wed Feb 08 14:04:40 GMT 2023

Powered by FUDForum. Page generated in 0.02177 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top